# Class: Concurrent::Actor::Behaviour::RemovesChild

Inherits:
  Abstract
  - Object
  - Abstract
  - Concurrent::Actor::Behaviour::RemovesChild
  show all

Defined in:
  lib-edge/concurrent/actor/behaviour/removes_child.rb

## Overview

Removes terminated children.

## Instance Method Summary collapse

- #on_envelope(envelope) ⇒ undocumented

## Constructor Details

This class inherits a constructor from Concurrent::Actor::Behaviour::Abstract

## Instance Method Details

### #on_envelope(envelope) ⇒ `undocumented`

    6
    7
    8
    9
    10
    11
    12

    # File 'lib-edge/concurrent/actor/behaviour/removes_child.rb', line 6

    def on_envelope(envelope)
      if envelope.message == :remove_child
        core.remove_child envelope.sender
      else
        pass envelope
      end
    end